All Classes Namespaces Files Functions Variables Typedefs Enumerator Friends Macros Groups
Eigen::NumTraits< stan::math::fvar< T > > Struct Template Reference

Numerical traits template override for Eigen for automatic gradient variables. More...

`#include <Eigen_NumTraits.hpp>`

## Public Types

enum | { IsInteger = 0, IsSigned = 1, IsComplex = 0, RequireInitialization = 1, ReadCost = 1, AddCost = 1, MulCost = 1, HasFloatingPoint = 1 }
| Properties for automatic differentiation variables read by Eigen matrix library. More...
typedef stan::math::fvar< T > | Real
| Real-valued variables. More...
typedef stan::math::fvar< T > | NonInteger
| Non-integer valued variables. More...
typedef stan::math::fvar< T > | Nested
| Nested variables. More...

## Static Public Member Functions

static Real | epsilon ()
| Return standard library's epsilon for double-precision floating point, `std::numeric_limits<double>::epsilon()`. More...
static Real | dummy_precision ()
| Return dummy precision. More...
static Real | highest ()
| Return standard library's highest for double-precision floating point, `std::numeric_limits<double>max()`. More...
static Real | lowest ()
| Return standard library's lowest for double-precision floating point, `&#45;std::numeric_limits<double>max()`. More...

## Detailed Description

### template<typename T>
struct Eigen::NumTraits< stan::math::fvar< T > >

Numerical traits template override for Eigen for automatic gradient variables.

Definition at line 15 of file Eigen_NumTraits.hpp.

## Member Typedef Documentation

template<typename T >

typedef stan::math::fvar<T> Eigen::NumTraits< stan::math::fvar< T > >::Nested

Nested variables.

Required for numerical traits.

Definition at line 35 of file Eigen_NumTraits.hpp.

template<typename T >

typedef stan::math::fvar<T> Eigen::NumTraits< stan::math::fvar< T > >::NonInteger

Non-integer valued variables.

Required for numerical traits.

Definition at line 28 of file Eigen_NumTraits.hpp.

template<typename T >

typedef stan::math::fvar<T> Eigen::NumTraits< stan::math::fvar< T > >::Real

Real-valued variables.

Required for numerical traits.

Definition at line 21 of file Eigen_NumTraits.hpp.

## Member Enumeration Documentation

template<typename T >

anonymous enum

Properties for automatic differentiation variables read by Eigen matrix library.

Enumerator
IsInteger |
IsSigned |
IsComplex |
RequireInitialization |
ReadCost |
AddCost |
MulCost |
HasFloatingPoint |

Definition at line 78 of file Eigen_NumTraits.hpp.

## Member Function Documentation

template<typename T >

static Real Eigen::NumTraits< stan::math::fvar< T > >::dummy_precision | ( |  | ) |

inlinestatic

Return dummy precision.

Definition at line 50 of file Eigen_NumTraits.hpp.

template<typename T >

static Real Eigen::NumTraits< stan::math::fvar< T > >::epsilon | ( |  | ) |

inlinestatic

Return standard library's epsilon for double-precision floating point, `std::numeric_limits<double>::epsilon()`.

Returns
  Same epsilon as a `double`.

Definition at line 43 of file Eigen_NumTraits.hpp.

template<typename T >

static Real Eigen::NumTraits< stan::math::fvar< T > >::highest | ( |  | ) |

inlinestatic

Return standard library's highest for double-precision floating point, `std::numeric_limits<double>max()`.

Returns
  Same highest value as a `double`.

Definition at line 60 of file Eigen_NumTraits.hpp.

template<typename T >

static Real Eigen::NumTraits< stan::math::fvar< T > >::lowest | ( |  | ) |

inlinestatic

Return standard library's lowest for double-precision floating point, `&#45;std::numeric_limits<double>max()`.

Returns
  Same lowest value as a `double`.

Definition at line 70 of file Eigen_NumTraits.hpp.

The documentation for this struct was generated from the following file:

- stan/math/fwd/mat/fun/Eigen_NumTraits.hpp

[ Stan Home Page ] © 2011–2015, Stan Development Team.